package cn.com.ty.lift.common.export;


import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.ExcelWriter;

import java.util.List;
import java.util.Map;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 导出工具类
 */
public class ExportUtils<T> {

    /**
     * @param dataList   需要导出的数据集
     * @param heads      导出工作薄的列名
     * @param exportPath 导出路径
     * @return
     * @description 导出excel
     * @date 2019/11/28 2:25 PM
     */
    public void export(List<T> dataList, Map<String, String> heads, String exportPath) {
        ExcelWriter writer = ExcelUtil.getWriter(exportPath);
        //设置列别名
        heads.forEach(writer::addHeaderAlias);
        writer.write(dataList, true);
        writer.autoSizeColumnAll();
        writer.close();
    }
}
